plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

loom {
    accessWidenerPath.set(file("src/main/resources/resclone.accesswidener"))
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "resclone"

val fabricVersion = "0.91.1+1.20.4"
val modmenuVersion = "9.0.0-pre.1"
jfMod {
    minecraftVersion = "1.20.4"
    yarn("build.1")
    loaderVersion = "0.15.0"
    libJfVersion = "3.14.1"

    modrinth {
        projectId = "resclone"
        optionalDependencies.add("fabric-api")
    }
    curseforge {
        projectId = "839008"
        optionalDependencies.add("fabric-api")
    }
}

dependencies {
    include(modImplementation("io.gitlab.jfronny.libjf:libjf-base:${jfMod.libJfVersion.get()}")!!) // for JfCommons
    include(modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v2:${jfMod.libJfVersion.get()}")!!) // for JfCommons
    include(modImplementation(fabricApi.module("fabric-resource-loader-v0", fabricVersion))!!)

    // Dev env
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-ui-tiny:${jfMod.libJfVersion.get()}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime("com.terraformersmc:modmenu:$modmenuVersion")
}
